Bug 449613 - Application of colour-schemes whose file-identifiers are not adherent to expectation subsequently causes incorrect operation.
Summary: Application of colour-schemes whose file-identifiers are not adherent to expe...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_colors (show other bugs)
Version: 5.23.90
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 449614 449615 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-02-04 18:23 UTC by BEEDELL ROKE JULIAN LOCKHART
Modified: 2022-02-07 17:37 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.1


Attachments
Backtraces. They are identical to what is present within this notification of erroneous operation. (49.00 KB, application/x-tar)
2022-02-04 18:23 UTC, BEEDELL ROKE JULIAN LOCKHART
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BEEDELL ROKE JULIAN LOCKHART 2022-02-04 18:23:07 UTC
Created attachment 146267 [details]
Backtraces. They are identical to what is present within this notification of erroneous operation.

SUMMARY

Application of colour-schemes whose file-identifiers are not adherent to expectation subsequently causes incorrect operation of 'plasma-systemsettings' and 'xdg-desktop-portal-kde'. 'plasma-drkonqi' appears after application.

STEPS TO REPRODUCE

1. Copy into one colour-scheme into "$HOME/.local/share/color-schemes/" whose file-identifier is similar to '( JI-BLAK ) .COLORS' or '( JI-BLAK ) .txt.colors', rather than '( JI-BLAK ) .colors'. The first two identifiers are able to cause incorrect operation, whereas the last identifier is not able to cause incorrect operation.
2. Applicate the colour-scheme.

OBSERVED RESULT
The consequential appearance of all graphical software is adherent to 'Breeze Light'.
Most graphical software crashes.

EXPECTED RESULT
Application of the colour-scheme and continuation of operation of software that crashes.

SOFTWARE/OS VERSIONS

Linux/KDE Plasma:	Yes.
KDE Plasma Version:	5.23.90
KDE Frameworks Version:	5.90.0
Qt Version:	5.15.2

BACKTRACES

Application: System Settings (systemsettings5), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f69dde08768 in QObjectPrivate::ConnectionData::resizeSignalVector (size=4, this=0x56247b0e9a50) at kernel/qobject_p.h:294
#5  QObjectPrivate::addConnection (this=<optimized out>, signal=signal@entry=3, c=c@entry=0x56247bea87e0) at kernel/qobject.cpp:326
#6  0x00007f69dde0d119 in QObjectPrivate::connectImpl (sender=0x56247aad0190, signal_index=3, receiver=0x56247aad9cc0, slot=<optimized out>, slotObj=<optimized out>, type=<optimized out>, types=<optimized out>, senderMetaObject=<optimized out>) at kernel/qobject.h:132
#7  0x00007f69dde0d5cd in QObject::connectImpl (sender=0x56247aad0190, signal=<optimized out>, receiver=0x56247aad9cc0, slot=0x0, slotObj=0x56247d7dfb10, type=Qt::AutoConnection, types=0x0, senderMetaObject=0x7f696cc9a300) at kernel/qobject.cpp:5001
#8  0x00007f696cc39fe6 in ?? () from /usr/lib64/qt5/qml/org/kde/kirigami.2/libkirigamiplugin.so
#9  0x00007f69dcc6ba4d in QQmlObjectCreator::createInstance (this=0x7ffe206b3640, index=38, parent=<optimized out>, isContextObject=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1291
#10 0x00007f69dcc6ea52 in QQmlObjectCreator::setPropertyBinding (this=0x7ffe206b3640, bindingProperty=0x7f695c0cb2d8, binding=0x7f696f3fa190) at /usr/include/qt5/QtCore/qendian.h:290
#11 0x00007f69dcc6efdf in QQmlObjectCreator::setupBindings (this=0x7ffe206b3640, applyDeferredBindings=false) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:798
#12 0x00007f69dcc6afd3 in QQmlObjectCreator::populateInstance (this=this@entry=0x7ffe206b3640, index=-1, index@entry=0, instance=0x0, bindingTarget=0x0, valueTypeProperty=valueTypeProperty@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1555
#13 0x00007f69dcc6bfc4 in QQmlObjectCreator::createInstance (this=<optimized out>, index=<optimized out>, parent=<optimized out>, isContextObject=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1348
#14 0x00007f69dcc6cc0f in QQmlObjectCreator::create (this=this@entry=0x7ffe206b3640, subComponentIndex=subComponentIndex@entry=-1, parent=parent@entry=0x0, interrupt=interrupt@entry=0x0, flags=flags@entry=1) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:204
#15 0x00007f69dcc6c3d2 in QQmlObjectCreator::createInstance (this=0x7ffe206b3e70, index=2, parent=0x56247bf83c30, isContextObject=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1231
#16 0x00007f69dcc6ea52 in QQmlObjectCreator::setPropertyBinding (this=0x7ffe206b3e70, bindingProperty=0x7f6914154c88, binding=0x7f696f3a8a74) at /usr/include/qt5/QtCore/qendian.h:290
#17 0x00007f69dcc6efdf in QQmlObjectCreator::setupBindings (this=0x7ffe206b3e70, applyDeferredBindings=false) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:798
#18 0x00007f69dcc6afd3 in QQmlObjectCreator::populateInstance (this=this@entry=0x7ffe206b3e70, index=-1, index@entry=0, instance=0x0, bindingTarget=0x0, valueTypeProperty=valueTypeProperty@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1555
#19 0x00007f69dcc6bfc4 in QQmlObjectCreator::createInstance (this=<optimized out>, index=<optimized out>, parent=<optimized out>, isContextObject=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1348
#20 0x00007f69dcc6cc0f in QQmlObjectCreator::create (this=this@entry=0x7ffe206b3e70, subComponentIndex=subComponentIndex@entry=-1, parent=parent@entry=0x0, interrupt=interrupt@entry=0x0, flags=flags@entry=1) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:204
#21 0x00007f69dcc6c3d2 in QQmlObjectCreator::createInstance (this=0x56247c1ce990, index=0, parent=0x0, isContextObject=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:1231
#22 0x00007f69dcc6cc0f in QQmlObjectCreator::create (this=this@entry=0x56247c1ce990, subComponentIndex=<optimized out>, parent=parent@entry=0x0, interrupt=interrupt@entry=0x0, flags=flags@entry=1) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectcreator.cpp:204
#23 0x00007f69dcbfa34e in QQmlComponentPrivate::beginCreate (this=0x56247e041f60, context=<optimized out>) at /usr/include/qt5/QtCore/qscopedpointer.h:116
#24 0x00007f69dcbfa7ca in QQmlComponent::create (this=0x56247bb64e30, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlcomponent.cpp:818
#25 0x00007f69df4b35ca in ?? () from /lib64/libKF5KCMUtils.so.5
#26 0x00007f69df4b5c87 in KCModuleLoader::loadModule(KCModuleInfo const&, KCModuleLoader::ErrorReporting, QWidget*, QStringList const&) () from /lib64/libKF5KCMUtils.so.5
#27 0x00007f69df4c2118 in ?? () from /lib64/libKF5KCMUtils.so.5
#28 0x00007f69df4c29e8 in KCModuleProxy::realModule() const () from /lib64/libKF5KCMUtils.so.5
#29 0x00007f69df4f5358 in ModuleView::updatePageIconHeader (this=0x56247abfc250, page=0x56247c03d350, light=<optimized out>) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/core/ModuleView.cpp:304
#30 0x00007f69df4f747f in ModuleView::addModule (this=0x56247abfc250, module=0x56247ac0de78, args=...) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/core/ModuleView.cpp:281
#31 0x00007f69df4f7a62 in ModuleView::loadModule (args=..., menuItem=..., this=0x56247abfc250) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/core/ModuleView.cpp:231
#32 ModuleView::loadModule (this=0x56247abfc250, menuItem=..., args=...) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/core/ModuleView.cpp:211
#33 0x00007f696dfe48a1 in SidebarMode::loadModule (this=0x56247ad4c4f0, activeModule=..., args=...) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/sidebar/SidebarMode.cpp:497
#34 0x00007f696dfe86b4 in SidebarMode::loadModule (args=..., activeModule=..., this=0x56247ad4c4f0) at /usr/include/qt5/QtCore/qabstractitemmodel.h:76
#35 SidebarMode::qt_static_metacall (_o=0x56247ad4c4f0, _c=<optimized out>, _id=<optimized out>, _a=0x7ffe206b4b00) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/build/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:525
#36 0x00007f696dfe929b in SidebarMode::qt_metacall (this=0x56247ad4c4f0, _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0x7ffe206b4b00) at /usr/src/debug/systemsettings5-5.22.4-1.1.x86_64/build/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:661
#37 0x00007f69dcc3800d in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffe206b4d90, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=32, argv=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/qml/qqmlobjectorgadget.cpp:51
#38 0x00007f69dcb17110 in CallMethod (callType=<optimized out>, callArgs=0xffffffff, engine=<optimized out>, argTypes=<optimized out>, argCount=<optimized out>, returnType=<optimized out>, index=<optimized out>, object=...) at /usr/include/qt5/QtCore/qvarlengtharray.h:190
#39 CallPrecise (object=..., data=..., engine=engine@entry=0x56247ab4ce10, callArgs=callArgs@entry=0x7f696d2d25b0, callType=callType@entry=QMetaObject::InvokeMetaMethod) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1569
#40 0x00007f69dcb18efb in CallOverloaded (callType=<optimized out>, propertyCache=<optimized out>, callArgs=<optimized out>, engine=<optimized out>, data=..., object=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1645
#41 QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:2133
#42 0x00007f69dcb4736a in QV4::FunctionObject::call (argc=1, argv=0x7f696d2d2550, thisObject=0x7f696d2d2538, this=0x7ffe206b4ec8) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/jsruntime/qv4functionobject_p.h:202
#43 QV4::Runtime::CallPropertyLookup::call (engine=0x56247ab4ce10, base=..., index=<optimized out>, argv=0x7f696d2d2550, argc=1) at /usr/src/debug/libqt5-qtdeclarative-5.15.2+kde29-1.2.x86_64/src/qml/jsruntime/qv4runtime.cpp:1460
#44 0x00007f69658c0f57 in ?? ()
#45 0x0000000000000000 in ?? ()
[Inferior 1 (process 5140) detached]

Application: System Settings (systemsettings), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f0ab6041184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f0aa319a503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f0aa319b5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f0ab4cfcf2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f0ab5af5584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f0ab669e0e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f0ab5acb2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f0ab5ace664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f0ab5b1c687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f0ab37ca1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f0ab381f2d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f0ab37c7b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f0ab5b1c17a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f0ab5ac9d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f0ab5ad1e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f0ab70f7118 in main ()
[Inferior 1 (process 14430) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f25f3cec184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f25e1d79503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f25e1d7a5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f25f399cf2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f25f36b9584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f25f43490e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f25f368f2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f25f3692664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f25f36e0687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f25f200e1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f25f20632d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f25f200bb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f25f36e017a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f25f368dd2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f25f3695e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f25f4fb545f in main ()
[Inferior 1 (process 13546) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f25f3cec184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f25e1d79503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f25e1d7a5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f25f399cf2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f25f36b9584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f25f43490e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f25f368f2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f25f3692664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f25f36e0687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f25f200e1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f25f20632d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f25f200bb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f25f36e017a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f25f368dd2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f25f3695e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f25f4fb545f in main ()
[Inferior 1 (process 13546) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007fadb43c0184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007fada244d503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007fada244e5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007fadb4070f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007fadb3d8d584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007fadb4a1d0e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007fadb3d632ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007fadb3d66664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007fadb3db4687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007fadb26e21bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007fadb27372d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007fadb26dfb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007fadb3db417a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007fadb3d61d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007fadb3d69e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007fadb568945f in main ()
[Inferior 1 (process 13549) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007fa956bc7184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007fa944c54503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007fa944c555d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007fa956877f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007fa956594584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007fa9572240e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007fa95656a2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007fa95656d664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007fa9565bb687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007fa954ee91bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007fa954f3e2d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007fa954ee6b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007fa9565bb17a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007fa956568d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007fa956570e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007fa957e9045f in main ()
[Inferior 1 (process 13550) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f9093c9d184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f9081d2a503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f9081d2b5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f909394df2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f909366a584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f90942fa0e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f90936402ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f9093643664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f9093691687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f9091fbf1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f90920142d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f9091fbcb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f909369117a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f909363ed2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f9093646e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f9094f6645f in main ()
[Inferior 1 (process 13525) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f5f866b9184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f5f74746503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f5f747475d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f5f86369f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f5f86086584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f5f86d160e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f5f8605c2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f5f8605f664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f5f860ad687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f5f849db1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f5f84a302d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f5f849d8b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f5f860ad17a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f5f8605ad2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f5f86062e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f5f8798245f in main ()
[Inferior 1 (process 13564) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f90ce6a3184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f90bc730503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f90bc7315d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f90ce353f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f90ce070584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f90ced000e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f90ce0462ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f90ce049664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f90ce097687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f90cc9c51bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f90cca1a2d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f90cc9c2b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f90ce09717a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f90ce044d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f90ce04ce1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f90cf96c45f in main ()
[Inferior 1 (process 13529) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f691e2d1184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f690c35e503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f690c35f5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f691df81f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f691dc9e584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f691e92e0e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f691dc742ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f691dc77664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f691dcc5687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f691c5f31bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f691c6482d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f691c5f0b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f691dcc517a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f691dc72d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f691dc7ae1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f691f59a45f in main ()
[Inferior 1 (process 13524) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007fd83524f184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007fd8232dc503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007fd8232dd5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007fd834efff2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007fd834c1c584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007fd8358ac0e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007fd834bf22ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007fd834bf5664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007fd834c43687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007fd8335711bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007fd8335c62d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007fd83356eb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007fd834c4317a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007fd834bf0d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007fd834bf8e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007fd83651845f in main ()
[Inferior 1 (process 13548) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f4ed097c184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f4ebea09503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f4ebea0a5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f4ed062cf2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f4ed0349584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f4ed0fd90e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f4ed031f2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f4ed0322664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f4ed0370687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f4ecec9e1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f4ececf32d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f4ecec9bb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f4ed037017a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f4ed031dd2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f4ed0325e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f4ed1c4545f in main ()
[Inferior 1 (process 13606) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f7acd5bb184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f7abb648503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f7abb6495d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f7acd26bf2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f7accf88584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f7acdc180e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f7accf5e2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f7accf61664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f7accfaf687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f7acb8dd1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f7acb9322d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f7acb8dab40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f7accfaf17a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f7accf5cd2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f7accf64e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f7ace88445f in main ()
[Inferior 1 (process 13538) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f3117f93184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f3106020503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f31060215d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f3117c43f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f3117960584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f31185f00e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f31179362ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f3117939664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f3117987687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f31162b51bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f311630a2d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f31162b2b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f311798717a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f3117934d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f311793ce1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f311925c45f in main ()
[Inferior 1 (process 13552) detached]

Application: The KDE Crash Handler (drkonqi), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f2607987184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007f25f5a14503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007f25f5a155d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007f2607637f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007f2607354584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007f2607fe40e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007f260732a2ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007f260732d664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007f260737b687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007f2605ca91bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007f2605cfe2d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007f2605ca6b40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007f260737b17a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007f2607328d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007f2607330e1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007f2608c5045f in main ()
[Inferior 1 (process 13605) detached]

Application: Portal (xdg-desktop-portal-kde), signal: Segmentation fault

[KCrash Handler]
#4  0x00007faf3d708184 in QPalette::QPalette(QPalette const&) () from /lib64/libQt5Gui.so.5
#5  0x00007faf2abe9503 in KHintsSettings::slotNotifyChange(int, int) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#6  0x00007faf2abea5d4 in KHintsSettings::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt5/plugins/platformthemes/KDEPlasmaPlatformTheme.so
#7  0x00007faf3cdc4f2b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () from /lib64/libQt5DBus.so.5
#8  0x00007faf3cae1584 in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#9  0x00007faf3e2c40e2 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#10 0x00007faf3cab72ea in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#11 0x00007faf3caba664 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQt5Core.so.5
#12 0x00007faf3cb08687 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#13 0x00007faf3af6f1bf in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#14 0x00007faf3afc42d8 in g_main_context_iterate.constprop () from /lib64/libglib-2.0.so.0
#15 0x00007faf3af6cb40 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#16 0x00007faf3cb0817a in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#17 0x00007faf3cab5d2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#18 0x00007faf3cabde1e in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#19 0x00007faf3ed3d8f7 in main ()
[Inferior 1 (process 14591) detached]

ADDITIONAL INFORMATION

PS /> dnf info plasma-systemsettings
Last metadata expiration check: 0:57:02 ago on Fri 04 Feb 2022 16:52:39 UTC.
Installed Packages
Name         : plasma-systemsettings
Version      : 5.23.90
Release      : 2.fc36
Architecture : x86_64
Size         : 1.4 M
Source       : plasma-systemsettings-5.23.90-2.fc36.src.rpm
Repository   : @System
From repo    : rawhide
URL          : https://invent.kde.org/plasma/systemsettings

Available Packages
Name         : plasma-systemsettings
Version      : 5.23.90
Release      : 2.fc36
Architecture : i686
Size         : 435 k
Source       : plasma-systemsettings-5.23.90-2.fc36.src.rpm
Repository   : rawhide
URL          : https://invent.kde.org/plasma/systemsettings

PS /> dnf info plasma-drkonqi
Last metadata expiration check: 0:57:38 ago on Fri 04 Feb 2022 16:52:39 UTC.
Installed Packages
Name         : plasma-drkonqi
Version      : 5.23.90
Release      : 2.fc36
Architecture : x86_64
Size         : 4.9 M
Source       : plasma-drkonqi-5.23.90-2.fc36.src.rpm
Repository   : @System
From repo    : rawhide
URL          : https://cgit.kde.org/drkonqi.git

PS /> dnf repolist
repo id                                                                                                                              repo name
fedora-cisco-openh264                                                                                                                Fedora rawhide openh264 (From Cisco) - x86_64
packages-microsoft-com-prod                                                                                                          packages-microsoft-com-prod
rawhide                                                                                                                              Fedora - Rawhide - Developmental packages for the next Fedora release
rawhide-modular                                                                                                                      Fedora - Modular Rawhide - Developmental packages for the next Fedora release
rpmfusion-free-rawhide                                                                                                               RPM Fusion for Fedora Rawhide - Free

PS /> uname -a
Linux BEEDELL-ROKEJULIANLOCKHART 5.17.0-0.rc2.83.fc36.x86_64 #1 SMP PREEMPT Mon Jan 31 22:36:48 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

PS /> lspci
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse Root Complex
00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD] Starship/Matisse IOMMU
00:01.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:01.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse GPP Bridge
00:01.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse GPP Bridge
00:02.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:03.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:03.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse GPP Bridge
00:04.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:05.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:07.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:07.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse Internal PCIe GPP Bridge 0 to bus[E:B]
00:08.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Host Bridge
00:08.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Starship/Matisse Internal PCIe GPP Bridge 0 to bus[E:B]
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 61)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 51)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 0
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 1
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 2
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 3
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 4
00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 5
00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 6
00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Matisse/Vermeer Data Fabric: Device 18h; Function 7
01:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller PM9A1/PM9A3/980PRO
02:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Matisse Switch Upstream
03:01.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Matisse PCIe GPP Bridge
03:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Matisse PCIe GPP Bridge
03:08.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Matisse PCIe GPP Bridge
04:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller PM9A1/PM9A3/980PRO
05:00.0 Ethernet controller: Intel Corporation I211 Gigabit Network Connection (rev 03)
06:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Starship/Matisse Reserved SPP
06:00.1 USB controller: Advanced Micro Devices, Inc. [AMD] Matisse USB 3.0 Host Controller
06:00.3 USB controller: Advanced Micro Devices, Inc. [AMD] Matisse USB 3.0 Host Controller
07:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] Navi 10 XL Upstream Port of PCI Express Switch (rev c4)
08:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD/ATI] Navi 10 XL Downstream Port of PCI Express Switch
09:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Navi 10 [Radeon RX 5600 OEM/5600 XT / 5700/5700 XT] (rev c4)
09:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Navi 10 HDMI Audio
0a:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Starship/Matisse PCIe Dummy Function
0b:00.0 Non-Essential Instrumentation [1300]: Advanced Micro Devices, Inc. [AMD] Starship/Matisse Reserved SPP
0b:00.1 Encryption controller: Advanced Micro Devices, Inc. [AMD] Starship/Matisse Cryptographic Coprocessor PSPCPP
0b:00.3 USB controller: Advanced Micro Devices, Inc. [AMD] Matisse USB 3.0 Host Controller
0b:00.4 Audio device: Advanced Micro Devices, Inc. [AMD] Starship/Matisse HD Audio Controller
Comment 1 BEEDELL ROKE JULIAN LOCKHART 2022-02-04 18:35:24 UTC
This submission of notification of erroneous operation is relevant to 'http://bugs.kde.org/show_bug.cgi?id=449614' and 'http://bugs.kde.org/show_bug.cgi?id=449615'.
Comment 2 Nicolas Fella 2022-02-05 17:25:47 UTC
*** Bug 449614 has been marked as a duplicate of this bug. ***
Comment 3 Nicolas Fella 2022-02-05 17:26:00 UTC
*** Bug 449615 has been marked as a duplicate of this bug. ***
Comment 4 Bug Janitor Service 2022-02-05 17:27:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-integration/-/merge_requests/34
Comment 5 Nicolas Fella 2022-02-05 17:32:21 UTC
> similar to '( JI-BLAK ) .COLORS'

this is unsupported. color scheme files have to end in .colors (lowercase)

> '( JI-BLAK ) .txt.colors'

this is debatable. I can point to the place where it breaks (the usage of QFile::baseName() in https://invent.kde.org/plasma/plasma-workspace/-/blob/master/kcms/colors/colorsmodel.cpp#L174), but I'm not sure it's worth fixing.

In any case it should not crash apps, which is what the MR fixes
Comment 6 Nicolas Fella 2022-02-07 17:36:31 UTC
Git commit df7ed806ff4182e4c759d394509abd791e97056f by Nicolas Fella.
Committed on 05/02/2022 at 17:25.
Pushed by ngraham into branch 'master'.

Gracefully handle invalid color scheme setting

When for whatever reason ColorScheme from kdeglobals point to a nonexistant scheme then no entry for m_palettes[QPlatformTheme::SystemPalette] is created, leading to a crash down the line

Instead fall back to BreezeLight to avoid a crash

M  +5    -2    src/platformtheme/khintssettings.cpp

https://invent.kde.org/plasma/plasma-integration/commit/df7ed806ff4182e4c759d394509abd791e97056f
Comment 7 Nate Graham 2022-02-07 17:36:57 UTC
Git commit 96c85d1c0be8fc437554c1462c427bb576018e81 by Nate Graham, on behalf of Nicolas Fella.
Committed on 07/02/2022 at 17:36.
Pushed by ngraham into branch 'Plasma/5.24'.

Gracefully handle invalid color scheme setting

When for whatever reason ColorScheme from kdeglobals point to a nonexistant scheme then no entry for m_palettes[QPlatformTheme::SystemPalette] is created, leading to a crash down the line

Instead fall back to BreezeLight to avoid a crash


(cherry picked from commit df7ed806ff4182e4c759d394509abd791e97056f)

M  +5    -2    src/platformtheme/khintssettings.cpp

https://invent.kde.org/plasma/plasma-integration/commit/96c85d1c0be8fc437554c1462c427bb576018e81